/** Globals **/

* {
    scroll-behavior: smooth !important;
}

a {
    color: #336699;
    text-decoration: underline;
    transition: all 0.5s ease;
}

a:hover {
    color: #4b186e;
    text-decoration: underline;
    transition: all 0.5s ease;
}

a:visited,
a.btn-primary:visited:hover {
    color: #4b186e;
}

a.btn-primary:visited,
a.btn-secondary:visited:hover {
    color: #fff;
}

ol, ul {
    padding-left: 1rem;
}

hr {
    opacity: .5;
    margin: 2rem 0;
}

h1 {
    font-size: 25px;
}

.skip-to-main-link {
    position: absolute;
    left: -999px;
    z-index: 999; 
    padding: 5px;
    margin: 10px;
}

.skip-to-main-link:focus {
    position: relative;
    left: 0;
    transition: 0s;
}

.fs20 {
    font-size: 20px;
    line-height: 22px;
}

.nowrap {
    white-space: nowrap;
}

.sm-only {
    display: block;
}

.lg-only {
    display: none !important;
}

.btn-primary {
    background-color: #4b186e;
    border: 1px solid #4b186e;
    box-shadow: 0 4px 9px -4px #4b186e;
    text-decoration: none;
}

.btn-primary:hover,
.btn-primary:active,
.btn-primary:focus,
.btn-show,
.btn:first-child:active,
.btn-primary.show:hover,
.btn-primary.show:focus,
.btn-check:checked+.btn, :not(.btn-check)+.btn:active, .btn:first-child:active, .btn.active, .btn.show {
    background-color: #fff;
    border: 1px solid #4b186e;
    box-shadow: 0 4px 9px -4px #7f569c !important;
    color: #4b186e !important;
    text-decoration: none;
}

.btn-secondary {
    color: #4b186e;
    font-weight: bold;
    background-color: #ffffff;
    box-shadow: 0 4px 9px -4px #ffffff;
    text-decoration: none;
    border: 1px solid #4b186e;
}

.btn-secondary:hover,
.btn-secondary:active,
.btn-secondary:focus,
.btn-secondary.show:hover,
.btn-secondary.show:focus,
.btn-check:checked+.btn, :not(.btn-check)+.btn:active, .btn:first-child:active, .btn.active, .btn.show {
    color: #ffffff;
    background-color: #4b186e;
    box-shadow: 0 4px 9px -4px #4b186e !important;
    text-decoration: none;
    border: 1px solid #4b186e;
}


.dropdown-toggle {
    white-space: wrap;
}

.dropdown-toggle::after {
    display: none;
}

/** Modal **/

.btn-x-close {
    position: absolute;
    top: 20px;
    right: 20px;
}

button[data-mdb-dismiss="modal"] {
    background-color: #ffffff;
    border: 1px solid #4b186e;
    box-shadow: none !important;
    text-decoration: none;
    --mdb-btn-close-opacity: 1 !important;
    --mdb-btn-close-bg: none !important;
}

button.btn-close.btn-x-close:after{
    content: "X";
    color: #4b186e !important;
    font-size: 18px;
    line-height: 18px;
    position: absolute;
    right: 10px;
    bottom: 6px;
}

button[data-mdb-dismiss="modal"]:hover,
button[data-mdb-dismiss="modal"]:active,
button[data-mdb-dismiss="modal"]:focus,
.btn:first-child:active {
    color: #fff !important;
    background-color: #4b186e;
    border: 1px solid #4b186e;
    box-shadow: none !important;
    text-decoration: none;
    fill: #fff !important;
    --mdb-btn-close-hover-opacity: 1 !important;
    --mdb-btn-close-opacity: 0 !important;
    --mdb-btn-close-color: #fff !important;
}

button.btn-close.btn-x-close:hover:after,
button.btn-close.btn-x-close:active:after,
button.btn-close.btn-x-close:focus:after {
    content: "X";
    color: #fff !important;
}

.modal-footer {
    justify-content: center !important;
}

/** Main Navigation **/

.navbar-nav {
    margin: 0 auto;
}

.navbar-toggler {
    border: 2px solid transparent !important;
    padding: 10px;
}

.navbar-toggler:active,
.navbar-toggler:focus,
.navbar-toggler:hover {
    border: 2px solid #000 !important;
}

.socialMediaBar ul {
    padding-left: 0;
}

.socialMediaBar ul li {
    list-style-type: none;
}

.navbar-nav .nav-link {
    text-decoration: none;
    margin: 0 5px;
    color: #4e4d4e;
}

.navbar-nav .nav-link::after {
    content: "";
    display: block;
    width: 100%;
    height: 1px;
    transition: 0.3s ease;
}

.navbar-nav .nav-link:hover::after,
.navbar-nav .nav-link:active::after,
.navbar-nav .nav-link:focus::after {
    box-shadow: 0 1px 0 #4e4d4e;
    transition: 0.3s ease;
}

.socialMediaBar a {
    text-decoration: none;
}

.socialMediaBar a span {
    text-decoration: underline;
    transition: all 0.5s ease;
}

.topheader-container {
    background: #4e4d4e;
    padding: 0.75rem;
}

.topheader-container a {
    color: #ffffff;
}

#topheader {
    margin-top: 0 !important;
    padding: 0;
}

/** Top Search Bar **/

.topSearchArea .courtSearchLabel {
    color: #fff;
}

.topSearchArea .searchField {
    border: none;
}

.topSearchArea .searchField ::placeholder {
    color: #8f8f8f !important;
}

.topSearchArea form .searchButton {
    background: #ffffff;
    border: none;
    border-radius: 5px;
    margin-left: 5px;
    transition: all 0.5s ease;
}

.topSearchArea form .searchButton .fa-search {
    color: #4b186e;
    padding: 0 5px;
    transition: all 0.5s ease;
}

.topSearchArea form .searchButton:hover {
    background: #7f569c;
    transition: all 0.5s ease;
}

.topSearchArea form .searchButton:hover .fa-search {
    color: #ffffff;
    transition: all 0.5s ease;
}

.courtSearchLabel {
    height: 0 !important;
}

/** History and Purpose **/

.historyImage img {
    height: auto;
    max-width: 524px;
    margin: 0 auto;
}

.cover-image { 
    max-width: 100px;
    border: 1px solid #d3d3d3;
    margin-right: 20px;
    margin-bottom: 20px;
}

/** Documents, Articles, & Posters Section **/

.doc-container {
    display: flex;
    flex-direction: column;
}

/** Profiles **/

.circle img {
    height: 100px;
    width: 90px;
    border-radius: 50%;
    display: inline-block;
    padding-bottom: 5px;
}

/** Cards **/

.expand-card .card-img-top {
    height: 100%;
}

.expand-card {
    transition: all 0.2s ease;
}

.expand-card:hover {
    transform: scale(1.03);
    transition: all 0.2s ease;
}

/** Resources Section **/

.resources-card_container {
    margin-bottom: 30px;
}

.resources-card_container h3 {
    font-size: 1.25rem;
}

/** Accordion **/

.accordion-button:focus {
    outline: 1px solid #4b186e !important;
    color: #3b71ca;
}

.accordion-button:not(.collapsed) {
    color: #3b71ca;
}

/** Footer **/

footer h3 {
    font-size: 18px;
    line-height: 22px;
}

.footerBg {
    background-color: #4e4d4e !important;
}

.footer-navigation {
    padding-left: 0;
}

.footer-navigation li {
    list-style-type: none;
}

.footer-navigation li a {
    font-size: 14px;
    line-height: 18px;
    color: #ffffff;
    text-decoration: none;
}

.footer-navigation li a:hover {
    text-decoration: underline;
}

.fa-ul a {
    color: #ffffff;
    text-decoration: none;
}

.fa-ul a:hover,
.fa-ul a:active,
.fa-ul a:focus {
    color: #ffffff;
    text-decoration: underline;
}

/** Social Icons **/

.social-icons ol {
    margin: 0;
    padding-left: 0;
    list-style: none;
}

.social-icons li {
    display: inline;
}

.social-icons .btn-primary {
    text-decoration: none;
    background: #4b186e;
    color: #FFFFFF;
    box-shadow: none;
}

.social-icons .btn-primary:hover,
.social-icons .btn-primary:active,
.social-icons .btn-primary:focus {
    color: #4b186e;
    background: #FFFFFF;
    box-shadow: none;
}

.copyright-text {
    font-size: 12px;
    line-height: 16px;
}

.copyright-text {
    font-size: 12px;
    line-height: 16px;
}


/** Back to Top Button **/

#backToTop {
    display: none;
}

.back-to-top-btn_container {
    position: fixed;
    top: auto;
    bottom: 4rem;
    right: 20px;
}

.back-to-top-btn_container .btn-secondary {
    background-color: #4b186e;
    color: #ffffff;
    padding: 25px 15px 8px 15px;
    border-radius: 50%;
}

.back-to-top-btn_container .btn-secondary i::before {
    display: block;
    font-size: 30px;
    line-height: 0; 
}

.back-to-top-btn_container .btn-secondary:hover,
.back-to-top-btn_container .btn-secondary:active,
.back-to-top-btn_container .btn-secondary:focus {
    background-color: #ffffff;
    color: #4b186e;
}

/** Mobile only **/
.mobile-only { 
    display: block !important;
}

.desktop-only {
    display: none !important;
}

/** Tablet **/

@media (min-width: 768px) {

    /** Documents, Articles, & Posters Section **/

    .doc-container {
        flex-direction: row;
    }

}

/** Desktop **/

@media (min-width: 992px) {

    /** Globals **/

    ol, ul {
        padding-left: 2rem;
    }

    .sm-only {
        display: none !important;
    }

    .lg-only {
        display: block !important;
    }

    /** Header **/

    .topheader-container {
        padding: 0.75rem 0px;
    }

    /** History and Purpose **/

    .cover-image { 
        max-width: 150px;
        border: 1px solid #d3d3d3;
        margin-right: 20px;
        margin-bottom: 20px;
    }

    /** Documents, Articles, & Posters Section **/

    .doc-container {
        flex-direction: row;
    }

    /** Cards **/

    .expand-card .card-img-top {
        height: 150px;
    }

    /** Resources Section **/

    .resources-card_container {
        margin-bottom: 0;
    }

    /** Desktop only **/

    .mobile-only { 
        display: none !important;
    }

    .desktop-only {
        display: block !important;
    }
}

@media (min-width: 1200px) {

    /** Header **/

    .header-logo_container {
        position: absolute;
        left: 0;
    }

    .navbar_container {
        position: relative;
        padding: 8px 0;
    }

    /** Cards **/

    .expand-card .card-img-top {
        height: 200px;
    }
}

@media (min-width: 1400px) {

    /** Cards **/

    .expand-card .card-img-top {
        height: 250px;
    }
}